Subject: Re: bug#26959: Feature request: bold underlines

From: Clément Pit--Claudel <[email-masked]>
Date: Wed, 17 May 2017 11:06:53 -0400

On 2017-05-17 10:04, Drew Adams wrote:
>>> See my reply to bug #26958.  Should we have two requests:
>>> 1. Wavy (and plain) underline to follow text scaling (#26958).
>>> 2. Be able to configure underline line-width (#26959).
>>
>> Yes, that's a great summary.
>>
>>> Is #2 enough?  If we could customize the :line-width for :underline
>>> (and :overline? and :strike-through?), would that be sufficient, or
>>> is there also a need for such lines to be sensitive to text scaling?
>>
>> I don't think so — sensitivity to text scaling would be a useful, distinct
>> feature.  Otherwise Lisp code will have to inspect font sizes and adjust
>> thickness based on it, which will cause inconsistencies.  Additionally, the
>> amount of space between the text and the underline needs to be adjusted when
>> the font size changes — and this is currently done on GNU/Linux already.
> 
> Whatever decision is made about what the most appropriate behavior
> is, should we make it optional, e.g., give users a way to _not_
> scale such lines, boxes, etc.?

I think we should wait for an explicit request before introducing such an option: I have not seen complaints about the behavior as currently implemented in GNU/Linux.